import type { ElTooltipContentProps } from '..';
declare type PropsAndEventsType = ElTooltipContentProps & Record<typeof tooltipEmitsVNodeKeys[number], (...args: any[]) => any>;
declare const tooltipEmitsVNodeKeys: `on${string}`[];
export declare function useTooltip(props: PropsAndEventsType, e: Element): (() => void) | undefined;
export {};
